[buildout]
parts =  
    instance
    zopepy
    i18ndude
    zopeskel
    code-analysis
    scripts
    test

extends =
    https://raw.github.com/collective/buildout.plonetest/master/test-5.1.x.cfg

package-name = zopyx.plone.smashdocs
update-git-submodules = never

extensions = 
    mr.developer

sources = sources

versions = versions

auto-checkout = 
    zopyx.smashdocs

# Create bin/instance command to manage Zope start up and shutdown
[instance]
recipe = plone.recipe.zope2instance
user = admin:admin
http-address = 12020
debug-mode = off
verbose-security = on
blob-storage = var/blobstorage

eggs =
    Pillow
    Plone
    autopep8
    zopyx.plone.smashdocs

zcml = 

# zopepy commands allows you to execute Python scripts using a PYTHONPATH 
# including all the configured eggs
[zopepy]
recipe = zc.recipe.egg
eggs = ${instance:eggs}
interpreter = zopepy
scripts = zopepy

# create bin/i18ndude command
[i18ndude]
unzip = true
recipe = zc.recipe.egg
eggs = i18ndude

# create ZopeSkel and paster commands with dexterity support
[zopeskel]
recipe = zc.recipe.egg
eggs =
    ${instance:eggs}
    ZopeSkel
    PasteScript
    zopeskel.dexterity

[sources]

zopyx.smashdocs = git git@github.com:zopyx/zopyx.smashdocs.git


[code-analysis]
recipe = plone.recipe.codeanalysis
directory = ${buildout:directory}/zopyx/plone/smashdocs
flake8-ignore = C901
flake8-max-line-length = 120


[scripts]
recipe = zc.recipe.egg
eggs = 
    docutils
    jarn.mkrelease

[versions]
zc.buildout = 2.5.2
setuptools = 32.0.0
py = 1.4.29
fs = 0.5.4
selenium = 2.53.6
